a3b408b277
- enable dracut-cpio binary - feat(fips-crypto-policies): make c-p follow FIPS mode automatically - fix(fips-crypto-policies): make it depend on fips dracut module Resolves: RHEL-59678,RHEL-65204 From-source-git-commit: ff3186be9d5871c6ec216019463199bb78cc1b32
39 lines
1.3 KiB
Diff
39 lines
1.3 KiB
Diff
From 2ce3f3ff72e608d7a3d42b566f9772393e313df4 Mon Sep 17 00:00:00 2001
|
|
From: Philipp Rudo <prudo@redhat.com>
|
|
Date: Tue, 27 Aug 2024 12:14:40 +0200
|
|
Subject: [PATCH 29/32] fix(dracut.sh): exit when installing the squash loader
|
|
fails
|
|
|
|
The postinstall phase in 99squash-lib can fail, e.g. when 99squash-lib
|
|
is added without one of the required back ends. Usually this isn't fatal
|
|
and simply results in a "normal" initrd, i.e. one without squashed
|
|
image, being created. Nevertheless, a user needs to explicitly add one
|
|
of the required modules for the code to be triggered. So it is better
|
|
to fail with an error rather than giving the user something he didn't
|
|
ask for.
|
|
|
|
Signed-off-by: Philipp Rudo <prudo@redhat.com>
|
|
(cherry picked from commit 8909d892a7a055ae95be45416e6fbf1b833ff426)
|
|
|
|
Resolves: RHEL-43460
|
|
---
|
|
dracut.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/dracut.sh b/dracut.sh
|
|
index db6713a9..c5ef61ad 100755
|
|
--- a/dracut.sh
|
|
+++ b/dracut.sh
|
|
@@ -2266,7 +2266,7 @@ fi
|
|
|
|
if dracut_module_included "squash-lib"; then
|
|
dinfo "*** Squashing the files inside the initramfs ***"
|
|
- DRACUT_SQUASH_POST_INST=1 module_install "squash-lib"
|
|
+ DRACUT_SQUASH_POST_INST=1 module_install "squash-lib" || exit 1
|
|
rm -rf "$squashdir"
|
|
dinfo "*** Squashing the files inside the initramfs done ***"
|
|
|
|
--
|
|
2.42.0
|
|
|